Bug 147201 - Update to the net/mediatomb port
Update to the net/mediatomb port
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-30 06:20 UTC by mcj
Modified: 2010-06-02 16:07 UTC (History)
0 users

See Also:


Attachments
file.diff (215 bytes, patch)
2010-05-30 06:20 UTC, mcj
no flags Details | Diff
file.diff (1.34 KB, patch)
2010-05-30 06:20 UTC, mcj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mcj 2010-05-30 06:20:04 UTC
	Upgrade the Mediatomb version to 0.12.1, fix configure args
	to match the newer version, and add an optional dependency 
	for ffmpegthumbnailer.  I've e-mailed the port maintainer 
	directly 4 days ago, but received no response.

Fix: PORTNAME=      mediatomb
-PORTVERSION=   0.11.0
-PORTREVISION=  4
+PORTVERSION=   0.12.1
 CATEGORIES=    net multimedia
 MASTER_SITES=  SF/${PORTNAME}/MediaTomb/${PORTVERSION}

@@ -54,6 +53,7 @@
                LIBEXIF "libexif support" on \
                TAGLIB "taglib support" on \
                FFMPEG "ffmpeg metadata extraction support" on \
+               FFMPEGTHUMBNAILER "ffmpeg thumbnailer support" on \
                EXTERNAL_TRANSCODING "external transcoding support" on \
                CURL "curl support" on \
                ID3LIB "id3lib support" off \
@@ -95,8 +95,8 @@

 .if defined(WITH_LIBEXIF)
 CONFIGURE_ARGS+=       --enable-libexif \
-                       --with-exif-h="${LOCALBASE}/include" \
-                       --with-exif-libs="${LOCALBASE}/lib"
+                       --with-libexif-h="${LOCALBASE}/include" \
+                       --with-libexif-libs="${LOCALBASE}/lib"
 LIB_DEPENDS+=          exif:${PORTSDIR}/graphics/libexif
 .else
 CONFIGURE_ARGS+=       --disable-libexif
@@ -108,6 +108,16 @@
 CONFIGURE_ARGS+=       --disable-external-transcoding
 .endif

+.if defined(WITH_FFMPEGTHUMBNAILER)
+CONFIGURE_ARGS+=        --enable-ffmpegthumbnailer \
+                        --with-ffmpegthumbnailer-h="${LOCALBASE}/include" \
+                        --with-ffmpegthumbnailer-libs="${LOCALBASE}/lib"
+LIB_DEPENDS+=           ffmpegthumbnailer:${PORTSDIR}/multimedia/ffmpegthumbnailer
+.else
+CONFIGURE_ARGS+=        --disable-ffmpegthumbnailer
+.endif
+
+
 # CURL is only useful in combination with EXTERNAL_TRANSCODING
 .if defined(WITH_CURL) && defined(WITH_EXTERNAL_TRANSCODING)
 CONFIGURE_ARGS+=       --enable-curl \
@@ -122,9 +132,7 @@
 .endif

 .if defined(WITH_FFMPEG)
-CONFIGURE_ARGS+=       --enable-ffmpeg \
-                       --with-ffmpeg-h="${LOCALBASE}/include" \
-                       --with-ffmpeg-libs="${LOCALBASE}/lib"
+CONFIGURE_ARGS+=       --enable-ffmpeg
 LIB_DEPENDS+=          avformat:${PORTSDIR}/multimedia/ffmpeg
 .else
 CONFIGURE_ARGS+=       --disable-ffmpeg
How-To-Repeat: 	N/A
Comment 1 Edwin Groothuis freebsd_committer 2010-05-30 06:20:12 UTC
Maintainer of net/mediatomb,

Please note that PR ports/147201 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/147201

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-05-30 06:20:15 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 leo 2010-06-01 15:22:39 UTC
On Sun, 2010-05-30 at 05:20 +0000, Edwin Groothuis wrote:
> Maintainer of net/mediatomb,
> Please note that PR ports/147201 has just been submitted.
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/147201
> 

Patch can be submitted. Thank you!

greets, Leo
Comment 4 Mark Linimon freebsd_committer 2010-06-01 18:47:29 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 pav freebsd_committer 2010-06-02 15:41:07 UTC
State Changed
From-To: open->closed

Committeed, thanks!